## gitsign 0.12.0

=== Makefile ===
#
# Copyright 2022 The Sigstore Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GIT_VERSION ?= $(shell git describe --tags --always --dirty)

LDFLAGS=-buildid= -X github.com/sigstore/gitsign/pkg/version.gitVersion=$(GIT_VERSION)

.PHONY: build-gitsign
build-gitsign:
	CGO_ENABLED=0 go build -trimpath -ldflags "$(LDFLAGS)" .

.PHONY: build-credential-cache
build-credential-cache:
	CGO_ENABLED=0 go build -trimpath -ldflags "$(LDFLAGS)" ./cmd/gitsign-credential-cache

.PHONY: build-all
build-all: build-gitsign build-credential-cache

.PHONY: install-gitsign
install-gitsign:
	CGO_ENABLED=0 go install -trimpath -ldflags "$(LDFLAGS)" github.com/sigstore/gitsign

.PHONY: install-credential-cache
install-credential-cache:
	CGO_ENABLED=0 go install -trimpath -ldflags "$(LDFLAGS)" github.com/sigstore/gitsign/cmd/gitsign-credential-cache

.PHONY: install-all
install-all: install-gitsign install-credential-cache

.PHONY: unit-test
unit-test:
	go test -v ./...

# These tests use live dependencies, and may otherwise modify state.
.PHONY: e2e-test
e2e-test:
	go test -tags e2e -v ./...

=== debian/changelog ===
gitsign (0.12.0-2) unstable; urgency=medium

  * Override unactionable lintian field-too-long on Built-Using.
  * salsa-ci.yml: Tighten autopkgtest/lintian checks.
  * Fix gitsign-credential-cache(1) name text.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Jan 2025 20:44:12 +0100

gitsign (0.12.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 0.12.0
  * d/salsa-ci.yml: Drop local apt repos.
  * Bump d/* copyright years.
  * Drop no longer needed B-D version reqs.
  * Add manpages.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Jan 2025 09:16:08 +0100

gitsign (0.11.0-1) experimental; urgency=medium

  * Initial release (Closes: #1019518)

 -- Simon Josefsson <simon@josefsson.org>  Wed, 27 Nov 2024 13:25:17 +0100

=== debian/control ===
Source: gitsign
Section: vcs
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 git <!nocheck>,
 golang-any,
 golang-github-github-smimesign-dev,
 golang-github-go-git-go-git-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-mattn-go-tty-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-sigstore-cosign-dev,
 golang-github-sigstore-rekor-dev,
 golang-github-sigstore-sigstore-dev,
 help2man <!nodoc>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gitsign
Vcs-Git: https://salsa.debian.org/go-team/packages/gitsign.git
Homepage: https://github.com/sigstore/gitsign
XS-Go-Import-Path: github.com/sigstore/gitsign

Package: gitsign
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Keyless Git signing using Sigstore (program)
 Keyless Git signing with Sigstore!
 .
 This is heavily inspired by (https://github.com/github/smimesign), but
 uses keyless Sigstore to sign Git commits with your own GitHub / OIDC
 identity.
 .
 This package contains the command-line gitsign binary.

Package: golang-github-sigstore-gitsign-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Keyless Git signing using Sigstore (library)
 Keyless Git signing with Sigstore!
 .
 This is heavily inspired by (https://github.com/github/smimesign), but
 uses keyless Sigstore to sign Git commits with your own GitHub / OIDC
 identity.
 .
 This package contains the Go development library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_install:
	rm -fv $(CURDIR)/debian/gitsign/usr/bin/cli

B = $(CURDIR)/debian/gitsign/usr/bin
M = $(CURDIR)/debian/tmp/usr/share/man/man1

execute_before_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	mkdir -pv $(M)
	help2man --version-string="$(DEB_VERSION)" \
		--no-info \
		--name="Keyless Git signing using Sigstore" \
		--output $(M)/gitsign.1 \
		$(B)/gitsign
	help2man --version-string="$(DEB_VERSION)" \
		--no-info \
		--name="Gitsign(1) credential caching helper" \
		--output $(M)/gitsign-credential-cache.1 \
		$(B)/gitsign-credential-cache
endif

## gitsign 0.13.0

=== debian/changelog ===
gitsign (0.13.0-3) unstable; urgency=medium

  * Invoke help2man with --no-discard-stderr.  Closes: #1117400.
  * Modernize Salsa CI.
  * Drop Rules-Requires-Root: no.
  * Use watch v5.
  * Drop unused lintian override.
  * Fix paths in manpage.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 08 Oct 2025 08:40:12 +0200

gitsign (0.13.0-2) unstable; urgency=medium

  * Improve fix for slow systems.  Closes: #1106316.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 02 Jun 2025 09:00:11 +0200

gitsign (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Standards-Version: 4.7.2.
  * Drop upstreamed patches.
  * Add B-Ds to *-dev as D's.
  * gitsign: Add Static-Built-Using, suggested by lintian.
  * d/salsa-ci: Build rdeps.
  * Fix self-tests on slow systems.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 11:50:23 +0200

gitsign (0.12.0-4) unstable; urgency=medium

  * B-D on go-git >= 5.13.  Add patch from upstream to fix self-tests.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 14 Feb 2025 10:25:34 +0100

gitsign (0.12.0-3) unstable; urgency=medium

  * Fix build-all job.  Closes: #1093765.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 22 Jan 2025 14:43:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
  git <!nocheck>,
  golang-any,
  golang-github-github-smimesign-dev,
- golang-github-go-git-go-git-dev,
+ golang-github-go-git-go-git-dev (>> 5.13.1~),
  golang-github-go-openapi-runtime-dev,
  golang-github-go-openapi-strfmt-dev,
  golang-github-in-toto-in-toto-golang-dev,
@@ -22,7 +21,7 @@
  golang-github-sigstore-sigstore-dev,
  help2man <!nodoc>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitsign
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitsign.git
 Homepage: https://github.com/sigstore/gitsign
@@ -35,6 +34,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: Keyless Git signing using Sigstore (program)
  Keyless Git signing with Sigstore!
  .
@@ -49,6 +50,16 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ golang-github-github-smimesign-dev,
+ golang-github-go-git-go-git-dev (>> 5.13.1~),
+ golang-github-go-openapi-runtime-dev,
+ golang-github-go-openapi-strfmt-dev,
+ golang-github-in-toto-in-toto-golang-dev,
+ golang-github-mattn-go-tty-dev,
+ golang-github-patrickmn-go-cache-dev,
+ golang-github-sigstore-cosign-dev,
+ golang-github-sigstore-rekor-dev,
+ golang-github-sigstore-sigstore-dev,
  ${misc:Depends},
 Description: Keyless Git signing using Sigstore (library)
  Keyless Git signing with Sigstore!

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_install:
	rm -fv $(CURDIR)/debian/gitsign/usr/bin/cli

B = $(CURDIR)/debian/tmp/usr/bin
M = $(CURDIR)/debian/tmp/usr/share/man/man1

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	mkdir -pv $(M)
	env PATH=$(PATH):$(B) \
	help2man --version-string="$(DEB_VERSION)" \
		--no-info --no-discard-stderr \
		--name="Keyless Git signing using Sigstore" \
		--output $(M)/gitsign.1 \
		gitsign
	env PATH=$(PATH):$(B) \
	help2man --version-string="$(DEB_VERSION)" \
		--no-info --no-discard-stderr \
		--name="Gitsign(1) credential caching helper" \
		--output $(M)/gitsign-credential-cache.1 \
		gitsign-credential-cache
endif

=== debian/watch ===
Version: 5
Template: Github
Owner: sigstore
Project: gitsign
